Debian Bug report logs - #289247
SCSI Device List update (FIX problems with some pendrivers)

version graph

Package: kernel-source-2.6.8; Maintainer for kernel-source-2.6.8 is (unknown);

Reported by: Otavio Salvador <otavio@debian.org>

Date: Sat, 8 Jan 2005 00:48:07 UTC

Severity: normal

Tags: patch

Found in version 2.6.8-11

Fixed in version kernel-source-2.6.8/2.6.8-13

Done: Andres Salomon <dilinger@voxel.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289247; Package kernel-source-2.6.8. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: SCSI Device List update (FIX problems with some pendrivers)
Date: Fri, 07 Jan 2005 22:44:23 -0200
[Message part 1 (text/plain, inline)]
Package: kernel-source-2.6.8
Version: 2.6.8-11
Severity: normal
Tags: patch

Hello,

I was having problems with some pendrivers and then I looked by a
fix. I did this patch using Fedora kernel as source and tested it. Worked really fine.

Please, apply it in next upload.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (800, 'unstable'), (700, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-ck1
Locale: LANG=pt_BR, LC_CTYPE=pt_BR (charmap=ISO-8859-1)

Versions of packages kernel-source-2.6.8 depends on:
ii  binutils                      2.15-5     The GNU assembler, linker and bina
ii  bzip2                         1.0.2-2    high-quality block-sorting file co
ii  coreutils [fileutils]         5.2.1-2    The GNU core utilities
ii  fileutils                     5.2.1-2    The GNU file management utilities 

-- no debconf information
[drivers-scsi-scsi-devinfo.diff (text/x-c, attachment)]

Tags added: pending Request was from Otavio Salvador <otavio@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Andres Salomon <dilinger@voxel.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Otavio Salvador <otavio@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 289247-close@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: 289247-close@bugs.debian.org
Subject: Bug#289247: fixed in kernel-source-2.6.8 2.6.8-13
Date: Mon, 24 Jan 2005 02:02:34 -0500
Source: kernel-source-2.6.8
Source-Version: 2.6.8-13

We believe that the bug you reported is fixed in the latest version of
kernel-source-2.6.8, which is due to be installed in the Debian FTP archive:

kernel-doc-2.6.8_2.6.8-13_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-doc-2.6.8_2.6.8-13_all.deb
kernel-patch-debian-2.6.8_2.6.8-13_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-patch-debian-2.6.8_2.6.8-13_all.deb
kernel-source-2.6.8_2.6.8-13.diff.gz
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-13.diff.gz
kernel-source-2.6.8_2.6.8-13.dsc
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-13.dsc
kernel-source-2.6.8_2.6.8-13_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-13_all.deb
kernel-tree-2.6.8_2.6.8-13_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-tree-2.6.8_2.6.8-13_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 289247@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andres Salomon <dilinger@voxel.net> (supplier of updated kernel-source-2.6.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 24 Jan 2005 01:20:24 -0500
Source: kernel-source-2.6.8
Binary: kernel-source-2.6.8 kernel-doc-2.6.8 kernel-tree-2.6.8 kernel-patch-debian-2.6.8
Architecture: source all
Version: 2.6.8-13
Distribution: unstable
Urgency: high
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Andres Salomon <dilinger@voxel.net>
Description: 
 kernel-doc-2.6.8 - Linux kernel specific documentation for version 2.6.8
 kernel-patch-debian-2.6.8 - Debian patches to Linux 2.6.8
 kernel-source-2.6.8 - Linux kernel source for version 2.6.8 with Debian patches
 kernel-tree-2.6.8 - Linux kernel tree for building prepackaged Debian kernel images
Closes: 281905 283241 288062 289247
Changes: 
 kernel-source-2.6.8 (2.6.8-13) unstable; urgency=high
 .
   * add more USB card reader blacklist entries.  Patch from Fedora via
     Otavio Salvador <otavio@debian.org>. (Christoph Hellwig) (closes: #289247)
 .
   * Fix viewsvn url for patches in README.Debian as reported by
     Alexander E. Patrakov. (Christoph Hellwig) (closes: #288062).
 .
   * Replace smbfs-overflow-fixes.patch with a newer version from 2.6.10-ac
     that actually works.  Thanks to S?ren Hansen <sh@warma.dk> for finding
     and submitting it. (Christoph Hellwig) (closes: #283241).
 .
   * expand_stack_reorg.dpatch
     Clean up mm/mmap.c's expand_stack() function, backported from
     2.6.11-rcX.  Needed for future security patches (Andres Salomon).
 .
   * [SECURITY] 034-stack_resize_exploit.dpatch
     Fix exploitable race condition on SMP and HT systems where two
     threads attempt to expand the stack at the same time.  This is
     CAN-2005-0001 (happy new year!) (Andres Salomon).
 .
   * [SECURITY] 035-do_brk_security_fixes-2.dpatch
     Further do_brk fixes; just to be safe, lock everywhere do_brk
     is used (Andres Salomon).
 .
   * Apply patch to fix compat cmsg_len checks (Christoph Hellwig).
 .
   * Backport EFI partition support fixes from 2.6.10.  Patch supplied by Tore
     Anderson <tore@debian.org> (Christoph Hellwig) (closes: #281905).
 .
   * Backport amd64 32bit quotactl support from 2.6.10. (Frederik Schüler)
 .
   * Change $((exp) | exp) to $( (exp) | exp) in apply so things work
     with dash (Simon Horman) (See: #291107, #291039)
 .
   * scsi-ioctl.dpatch
     Provide a warning about unknown opcodes (Andres Salomon).
Files: 
 9e4ac65ced52e640a37559512ed8d346 955 devel optional kernel-source-2.6.8_2.6.8-13.dsc
 248f10b41a16d66417412e9e233df230 863182 devel optional kernel-source-2.6.8_2.6.8-13.diff.gz
 f8fb622076e9d2c069c939d2f0cb91d6 826218 devel optional kernel-patch-debian-2.6.8_2.6.8-13_all.deb
 32f135ffc8557aa699564e89a4bdec8f 34918530 devel optional kernel-source-2.6.8_2.6.8-13_all.deb
 b3d35d1110672179c07fdc108748866f 25520 devel optional kernel-tree-2.6.8_2.6.8-13_all.deb
 5504d4abc11a7f8c988d8043fa2d8bf2 6174798 doc optional kernel-doc-2.6.8_2.6.8-13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB9Jgo78o9R9NraMQRAjwpAJ9yQT8JOKHNFmb9UCTsoaCYtDtVMACeKeEw
HOj4gznUg3K4w++6asAJNnw=
=0crl
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:11:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.